Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::SOAPAuthenticateInfo Class Reference

Inherits Object.

## Public Member Functions
| SOAPAuthenticateInfo ()
| Constructor.
| SOAPAuthenticateInfo (const SOAPAuthenticateInfo &soap_authenticate)
| Constructor, with another SOAP authenticate object. More...
| SOAPAuthenticateInfo (const wchar_t *username, const wchar_t *password, bool is_use_platform_auth)
| Constructor, with parameters. More...
void | Set (const wchar_t *username, const wchar_t *password, bool is_use_platform_auth)
| Set values. More...

## Public Attributes
bool | is_use_platform_auth
| A Boolean value indicating that platform authentication should be used. More...
WString | password
| A string containing the password to use for authentication.
WString | username
| A string containing the user name to use for authentication.

## Detailed Description

This class represents SOAP authenticate.

## Constructor & Destructor Documentation

## ◆ SOAPAuthenticateInfo() [1/2]

foxit::SOAPAuthenticateInfo::SOAPAuthenticateInfo | ( | const wchar_t * | username,
|  | const wchar_t * | password,
|  | bool | is_use_platform_auth
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | username | A string containing the user name to use for authentication.
  [in] | password | A string containing the password to use for authentication.
  [in] | is_use_platform_auth | A Boolean value indicating that platform authentication should be used.

## ◆ SOAPAuthenticateInfo() [2/2]

foxit::SOAPAuthenticateInfo::SOAPAuthenticateInfo | ( | const SOAPAuthenticateInfo & | soap_authenticate | ) |
| inline

Constructor, with another SOAP authenticate object.

Parameters

  [in] | soap_authenticate | Another SOAP authenticate object.

## Member Function Documentation

## ◆ Set()

void foxit::SOAPAuthenticateInfo::Set | ( | const wchar_t * | username,
|  | const wchar_t * | password,
|  | bool | is_use_platform_auth
| ) |  |
| inline

Set values.

Parameters

  [in] | username | A string containing the user name to use for authentication.
  [in] | password | A string containing the password to use for authentication.
  [in] | is_use_platform_auth | A Boolean value indicating that platform authentication should be used.

Returns
  None.

## Member Data Documentation

## ◆ is_use_platform_auth

bool foxit::SOAPAuthenticateInfo::is_use_platform_auth

A Boolean value indicating that platform authentication should be used.

If true, username and password are ignored and the underlying platform networking code is used.This may cause an authentication UI to be shown to the user and/or the credentials of the currently logged in user to be used. The default is false and is only supported on the Windows platform.